std::hash< Gecode::SharedArray< int > > Struct Reference

Hashing for tuple sets. More...

## Public Member Functions

size_t | operator() (const Gecode::SharedArray< int > &x) const
| Return hash key for x.

## Detailed Description

Hashing for tuple sets.

Definition at line 64 of file flatzinc.cpp.

## Member Function Documentation

## operator()()

size_t std::hash< Gecode::SharedArray< int > >::operator() | ( | const Gecode::SharedArray< int > & | x | ) | const

inline

Return hash key for x.

Definition at line 67 of file flatzinc.cpp.

The documentation for this struct was generated from the following file:

- gecode/flatzinc/flatzinc.cpp